<?php
/*
Admin options form
Author: anybuy.vn
Version: 1.0.0
*/
if($_POST['wpdvbn_hidden'] == 'Y') {
    //Form data sent
    $vbdb_host = $_POST['vbdb_host'];
    update_option('vbdb_host', $vbdb_host);
    $vbdb_name = $_POST['vbdb_name'];
    update_option('vbdb_name', $vbdb_name);
    $vbdb_user = $_POST['vbdb_user'];
    update_option('vbdb_user', $vbdb_user);
    $vbdb_dbpwd = $_POST['vbdb_pass'];
    update_option('vbdb_pass', $vbdb_pass);
    $vbdb_prefix = $_POST['vbdb_prefix'];
    update_option('vbdb_prefix', $vbdb_prefix);
    $vb_forum_url = $_POST['vb_forum_url'];
    update_option('vb_forum_url', $vb_forum_url);
    $vb_seo_enabled= $_POST['vb_seo_enabled'][0];
    update_option('vb_seo_enabled', $vb_seo_enabled);
?>
<div class="updated" xmlns="http://www.w3.org/1999/html"><p><strong><?php _e('Options saved.' ); ?></strong></p></div>
<?php
} else {
    //Normal page display
    $vbdb_host = get_option('vbdb_host');
    $vbdb_name = get_option('vbdb_name');
    $vbdb_user = get_option('vbdb_user');
    $vbdb_pass = get_option('vbdb_pass');
	$vbdb_prefix = get_option('vbdb_prefix');
    $vb_forum_url = get_option('vb_forum_url');
    $vb_seo_enabled = get_option('vb_seo_enabled');
}
?>
<div class="wrap">
<?php    echo "<h2>" . __( 'Display vBulletin Node Options', 'wpdvbn_trdom' ) . "</h2>"; ?>
<form name="wpdvbn_form" method="post" action="<?php echo str_replace( '%7E', '~', $_SERVER['REQUEST_URI']); ?>">
    <input type="hidden" name="wpdvbn_hidden" value="Y">
    <?php    echo "<h4>" . __( 'vBulletin Forum Settings', 'wpdvbn_trdom' ) . "</h4>"; ?>
    <p><?php _e("Database host: " ); ?><input type="text" name="vbdb_host" value="<?php echo $vbdb_host; ?>" size="20"><?php _e(" ex: localhost" ); ?></p>
    <p><?php _e("Database name: " ); ?><input type="text" name="vbdb_name" value="<?php echo $vbdb_name; ?>" size="20"><?php _e(" ex: vBulletin_forum" ); ?></p>
    <p><?php _e("Database user: " ); ?><input type="text" name="vbdb_user" value="<?php echo $vbdb_user; ?>" size="20"><?php _e(" ex: root" ); ?></p>
    <p><?php _e("Database password: " ); ?><input type="text" name="vbdb_pass" value="<?php echo $vbdb_pass; ?>" size="20"><?php _e(" ex: secretpassword" ); ?></p>
    <p><?php _e("Database prefix: " ); ?><input type="text" name="vbdb_prefix" value="<?php echo $vbdb_prefix; ?>" size="20"><?php _e(" ex: vb_" ); ?></p>
    <hr />
    <?php    echo "<h4>" . __( 'vBulletin Forum Settings', 'vbdb_trdom' ) . "</h4>"; ?>
    <p><?php _e("Forum URL: " ); ?><input type="text" name="vb_forum_url" value="<?php echo $vb_forum_url; ?>" size="20"><?php _e(" ex: http://www.yourforum.com/" ); ?></p>
    <p><?php _e("Use Full Friendly URLs (Only support default SEO Friendly mode): " ); ?><input type=radio name="vb_seo_enabled[]" value="Yes" <?php if($vb_seo_enabled=='Yes')echo "checked=checked";?>> Yes &nbsp;&nbsp;&nbsp;<input type=radio name="vb_seo_enabled[]" value="No" <?php if($vb_seo_enabled=='No')echo "checked=checked";?>> No    </p>
	<p class="submit">
        <input type="submit" name="Submit" value="<?php _e('Update Options', 'wpdvbn_trdom' ) ?>" />
    </p>
</form>
</div>